# -*- coding: utf-8 -*-
#    HighlightList - collects highlights in the background.

__module_name__ = "HighlightList"
__module_version__ = "1.0"
__module_description__ = "logs highlights in the background"
__module_author__ = "bdragon"

import xchat

print '>>> HighlightList loaded'

def highlight_cb(word, word_eol, userdata):
  targetquery = '@highlight'
  server = xchat.get_info('server')
  channel = xchat.get_context().get_info('channel')
  context = xchat.find_context(server, targetquery)
  if not context:
    #create the query context silently.
    xchat.get_context().command('query -nofocus ' + targetquery)
  context = xchat.find_context(server, targetquery)
  context.prnt('\x0308' + channel + '\x03 <\x03' + word[0] + '\x03> ' + word[1])

def unload_cb(userdata):
  global highlight_hook
  if highlight_hook is not None:
    xchat.unhook(highlight_hook)
  highlight_hook = None
  print '>>> HighlightList unloaded'

xchat.hook_unload(unload_cb)
highlight_hook = xchat.hook_print("Channel Msg Hilight", highlight_cb)
